package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TApproveAccident;

/**
 * 事件申请Service接口
 * 
 * @author ruoyi
 * @date 2021-03-01
 */
public interface ITApproveAccidentService 
{
    /**
     * 查询事件申请
     * 
     * @param id 事件申请ID
     * @return 事件申请
     */
    public TApproveAccident selectTApproveAccidentById(Long id);

    /**
     * 查询事件申请列表
     * 
     * @param tApproveAccident 事件申请
     * @return 事件申请集合
     */
    public List<TApproveAccident> selectTApproveAccidentList(TApproveAccident tApproveAccident);

    /**
     * 新增事件申请
     * 
     * @param tApproveAccident 事件申请
     * @return 结果
     */
    public int insertTApproveAccident(TApproveAccident tApproveAccident);

    /**
     * 修改事件申请
     * 
     * @param tApproveAccident 事件申请
     * @return 结果
     */
    public int updateTApproveAccident(TApproveAccident tApproveAccident);

    /**
     * 批量删除事件申请
     * 
     * @param ids 需要删除的事件申请ID
     * @return 结果
     */
    public int deleteTApproveAccidentByIds(Long[] ids);

    /**
     * 删除事件申请信息
     * 
     * @param id 事件申请ID
     * @return 结果
     */
    public int deleteTApproveAccidentById(Long id);
}
